<app-navbar-default></app-navbar-default>
<div><ng-content></ng-content></div>
<!-- ADMIN MENU -->

<div
  class="uk-position-fixed uk-position-z-index uk-position-bottom-right uk-padding"
  *ngIf="(authenticated | async)"
>
  <div id="admin-options" class="uk-animation-slide-bottom-medium">
      <div class="uk-margin-small uk-flex uk-flex-center">
        <button
          type="button"
          mat-mini-fab
          routerLink="/admin/file/list"
          uk-tooltip="title: Folder; pos: left"
        >
          <mat-icon aria-label="Folder">folder</mat-icon>
        </button>
      </div>
      <div class="uk-margin-small uk-flex uk-flex-center">
        <button
          type="button"
          mat-mini-fab
          routerLink="/admin/menu/list"
          uk-tooltip="title: Menus; pos: left"
        >
          <mat-icon aria-label="Menus">menu</mat-icon>
        </button>
      </div>
    <div class="uk-margin-small uk-flex uk-flex-center">
      <button
        type="button"
        mat-mini-fab
        routerLink="/admin/slide/list"
        uk-tooltip="title: Slides; pos: left"
      >
        <mat-icon aria-label="Slides">slideshow</mat-icon>
      </button>
    </div>
    <div class="uk-margin-small uk-flex uk-flex-center">
      <button
        type="button"
        mat-mini-fab
        routerLink="/admin/page/list"
        uk-tooltip="title: Páginas; pos: left"
      >
        <mat-icon aria-label="Páginas">insert_drive_file</mat-icon>
      </button>
    </div>
    <div class="uk-margin-small uk-flex uk-flex-center">
      <button
        type="button"
        mat-mini-fab
        routerLink="/admin/user/list"
        uk-tooltip="title: Usuarios; pos: left"
      >
        <mat-icon aria-label="Usuarios">people</mat-icon>
      </button>
    </div>
    <div class="uk-margin-small uk-flex uk-flex-center">
      <button
        type="button"
        mat-mini-fab
        color="warn"
        uk-tooltip="title: Logout; pos: left"
        (click)="signOut()"
      >
        <mat-icon aria-label="Logout">exit_to_app</mat-icon>
      </button>
    </div>
  </div>
  <div class="uk-margin-small">
    <button
      type="button"
      mat-fab
      uk-tooltip="title: Opciones; pos: left"
      uk-toggle="target: #admin-options"
    >
      <mat-icon aria-label="Opciones">build</mat-icon>
    </button>
  </div>
</div>

<!-- /ADMIN MENU -->
